Loading...
Searching...
No Matches
Dune::Std::identity Struct Reference

A function object type whose operator() returns its argument unchanged. More...

`#include <dune/common/std/functional.hh>`

## Public Member Functions

template<class T>
constexpr T && | operator() (T &&t) const noexcept

## Detailed Description

A function object type whose operator() returns its argument unchanged.

Note
  Equivalent to: return std::forward(t);

Warning
  When passing r-values, the result must be, at most, used for direct consumption in an outer function call

## Member Function Documentation

## operator()()

template<class T>

T && Dune::Std::identity::operator() | ( | T && | t | ) | const

inline constexpr noexcept

The documentation for this struct was generated from the following file:

- functional.hh